tttk_message_destroy(library call)

NAME
tttk_message_destroy — destroy a message conforming to the XCDE conventions

SYNOPSIS

#include &<Tt/tttk.h>
Tt_status tttk_message_destroy(
Tt_message msg);

DESCRIPTION

The tttk_message_destroy function can be used in place of tt_message_destroy(3). It destroys any patterns that may have been stored on msg by ttdt_message_accept(3) or ttdt_subcontract_manage(3). Then it passes msg to tt_message_destroy(3).

RETURN VALUE

Upon successful completion, the tttk_message_destroy function returns the status of the operation as one of the following Tt_status values:

TT_OK
    The operation completed successfully.

TT_ERR_NOMP
    The ttsession(1) process is not running and the ToolTalk service cannot restart it.

TT_ERR_POINTER
    The pointer passed does not point to an object of the correct type for this operation.

TT_WRN_STOPPED
    The message is not actually destroyed. (A message is not destroyed if it is in a non-final state; for example, a request for which the reply has not been received.)

SEE ALSO

Tt/tttk.h - Tttttk(5), tt_message_create(3), tt_message_destroy(3), ttdt_file_notice(3), ttdt_file_request(3).